package com.eactive.eai.message.test;

import com.eactive.eai.message.StandardMessage;
import com.eactive.eai.message.service.DefaultInterfaceMapper;

public class TestInterfaceMapper extends DefaultInterfaceMapper {
	public TestInterfaceMapper() {
		
	}
	//------------------------------------------------------------
	// 재정의가 필요한 항목에 대한 로직 추가
	//------------------------------------------------------------
	@Override
	public String getEaiSvcCode(StandardMessage standardMessage) {
		String eaiSvcCode = null;
		String cicsTranCd = getServiceId(standardMessage);
		// TODO : site에 맞게 조합해야 함.
		eaiSvcCode = cicsTranCd +"S01";
		return eaiSvcCode;
	}
}
